package com.fs.starfarer.api.impl.campaign.rulecmd;

import com.fs.starfarer.api.util.Misc;
import com.fs.starfarer.api.ui.Alignment;
import com.fs.starfarer.api.ui.TooltipMakerAPI;
import kaysaar.aotd_question_of_loyalty.data.models.BaseContractInfo;

public class AotDMigrationContract extends BaseContractInfo
{
    public void createTooltip(final TooltipMakerAPI tooltip) {
        tooltip.addSectionHeading("Accessibility contract", Alignment.MID, 5.0f);
        tooltip.addPara("We will lower restrictions with your trade", 5.0f);
        tooltip.addSectionHeading("Contract Benefits", Alignment.MID, 10.0f);
        tooltip.addPara("All colonies get %s accessibility bonus", 5.0f, Misc.getPositiveHighlightColor(), new String[] { "30%" });
        tooltip.addSectionHeading("Contract Obligations", Alignment.MID, 10.0f);
        tooltip.addPara("After this contract is signed: ", 5.0f);
        tooltip.addPara("We will loose %s of fleet size from all colonies as they will be dedicated towards protection of new trade fleets", 5.0f, Misc.getNegativeHighlightColor(), new String[] { "50%" });
        tooltip.addPara("Should you terminate contract you will be obliged to pay fine of %s", 10.0f, Misc.getNegativeHighlightColor(), new String[] { Misc.getDGSCredits(2500000.0f) });
    }
}
